unit Sample;

interface

uses
  {$IFDEF WIN32} Windows, ComCtrls, {$ELSE} WinTypes, WinProcs,{$ENDIF}
  Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Buttons, Grids, DBGrids, DB, Printers, ExtCtrls,
  HReport;

type
  TSamplef = class(TForm)
    btEnd: TButton;
    Image1: TImage;
    btExecute: TButton;
    rgReport: TRadioGroup;
    rgMethod: TRadioGroup;
    GroupBox1: TGroupBox;
    cbPrintDialog: TComboBox;
    Label1: TLabel;
    cbPrintProgress: TComboBox;
    Label2: TLabel;
    rgSaveAll: TRadioGroup;
    procedure btEndClick(Sender: TObject);
    procedure btExecuteClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Samplef: TSamplef;

implementation

uses SampleM, SampleLB, SampleLS, SampleBC, SampleMD, SampleT, SampleMT,
  SampleOT, SampleB, SampleI, SampleD2, SampleM2, SampleU,
  SampleS
  {$IFDEF VER100}
  ,SampleTC
  {$ENDIF}
  ;

{$R *.DFM}

procedure TSamplef.btEndClick(Sender: TObject);
begin
  Close;
end;

procedure TSamplef.btExecuteClick(Sender: TObject);
var
  Rep: THyperReport;
  Form: TForm;
begin
  rep := nil;
  Form := nil;
  case rgReport.ItemIndex of
   0: rep := SampleLSf.HyperReport1;
   1: rep := SampleBCf.HyperReport1;
   2: rep := SampleLBf.HyperReport1;
   3: rep := SampleMDf.HyperReport1;
   4: rep := SampleD2f.HyperReport1;
   5: rep := SampleMf.HyperReport1;
   6: rep := SampleM2f.HyperReport1;
   7: rep := SampleTf.HyperReport1;
   8: rep := SampleMTf.HyperReport1;
   9:
    begin
      Form := SampleOTf;
      rep := SampleOTf.HyperReport1;
    end;
  10: rep := SampleBf.HyperReport1;
  11:
    begin
      Form := SampleIf;
      rep := SampleIf.HyperReport1;
    end;
  12: rep := SampleSf.HyperReport1;
  13: rep := SampleUf.HyperReport1;
  14: begin
        {$IFDEF VER100}
        rep := SampleTCf.HyperReport1;
        {$ELSE}
        ShowMessage('If you have the Tee-Chart component,'+Chr(10)
                   +'then install HRTeeReg.DCR'+Chr(10)
                   +''+Chr(10)
                   +'and open SampleTe.DPR project file');
        {$ENDIF}
      end;
  end;

  if Assigned(rep) then begin
    {$IFDEF VER80}
    if (Assigned(Form)) then Form.Show;
    {$ENDIF}
    rep.ShowPrintDialog := (cbPrintDialog.Text = 'True');
    rep.ShowPrintProgress := (cbPrintProgress.Text = 'True');
    rep.SaveAllProperties := (rgSaveAll.ItemIndex = 0);
    case rgMethod.ItemIndex of
     0: rep.Preview;
     1: rep.Print;
    end;
    {$IFDEF VER80}
    if (Assigned(Form)) then Form.Close;
    {$ENDIF}
  end;

end;

end.
